Subject: Re: bug#15801: 24.3.50; bar scrolling freezes gtk emacs

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Nov 2013 15:55:14 +0200

> From: Jan Djärv <[email-masked]>
> Date: Sat, 30 Nov 2013 13:51:11 +0100
> Cc: Jarek Czekalski <[email-masked]>,
>  [email-masked]
> 
> >> Cc:ing Eli.  The obvious fix would be to request_sigio before exit.  Is there any side effects to this?
> > 
> > If you call request_sigio only if interrupts_deferred is non-zero, I
> > see no adverse side effects.
> > 
> > In any case, code paths that turn off SIGIO and never turn it on again
> > are obvious bugs.  Thanks for finding this one.
> 
> OK, I checked in a fix.  I can't reproduce the bug with this, but I had a hard time reproducing it anyway.

Thanks, but it looks like you called unrequest_sigio instead of
request_sigio ;-)